Skip to main content
PATCH
Modify an application

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

application_id
string<uuid>
required

Unique identifier for the application.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Body

application/json

Application fields to be patched.

applicants
Applicant details · object[]
status
enum<string>

Status of the credit application. CREDIT_DENIED, CREDIT_NOT_ACCEPTED_BY_CUSTOMER and CREDIT_ACCEPTED_BY_CUSTOMER are terminal status

Available options:
SUBMITTED,
CREDIT_APPROVED,
CREDIT_DENIED,
CREDIT_NOT_ACCEPTED_BY_CUSTOMER,
CREDIT_ACCEPTED_BY_CUSTOMER

Response

Updated application.

account_type
enum<string>
required

Account type of Application

Available options:
LINE_OF_CREDIT,
CHARGE_SECURED,
CHARGE_UNSECURED,
CREDIT_CARD
Example:

"LINE_OF_CREDIT"

applicants
Applicant details · object[]
required
Minimum array length: 1
purpose
enum<string>
required

Purpose of the credit application.

Available options:
ACCOUNT_OPENING,
LINE_INCREASE_REQUEST,
APR_REDUCTION,
HARDSHIP
status
enum<string>
required

Status of the credit application. CREDIT_DENIED, CREDIT_NOT_ACCEPTED_BY_CUSTOMER and CREDIT_ACCEPTED_BY_CUSTOMER are terminal status

Available options:
SUBMITTED,
CREDIT_APPROVED,
CREDIT_DENIED,
CREDIT_NOT_ACCEPTED_BY_CUSTOMER,
CREDIT_ACCEPTED_BY_CUSTOMER
type
enum<string>
required

Type of Application

Available options:
CREDIT,
RESTRICTED_ACCOUNT,
LOC,
CREDIT_CARD
Example:

"CREDIT"

creation_time
string<date-time>
required
read-only

Application creation timestamp in RFC3339 format

id
string<uuid>
required
read-only

Generated ID for the application

last_updated_time
string<date-time>
required
read-only

Timestamp of the last application modification in RFC3339 format

account_id
string<uuid>

Account ID for the application. Only required if application purpose is not ACCOUNT_OPENING

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

application_submitted_time
string<date-time>

Application submitted timestamp in RFC3339 format

Example:

"2023-01-13T23:59:59Z"

credit_decision_time
string<date-time>

Credit decision timestamp in RFC3339 format

Example:

"2023-01-13T23:59:59Z"

customer_response_time
string<date-time>

Credit decision timestamp in RFC3339 format

Example:

"2023-01-13T23:59:59Z"

tenant
string

The id of the tenant containing the resource.

Example:

"abcdef_ghijkl"